var db = require('orchestrate')(process.env.ORCHESTRATE_KEY)

exports.tonicEndpoint = async function(request, response)
{
    await db.newPatchBuilder("counts", process.env.TONIC_MOUNT_PATH)
            .upsert(true)
            .init("count", 0)
            .inc("count")
            .apply()

    var hits = await db.get("counts", process.env.TONIC_MOUNT_PATH)

    response.end(hits.body.count.toString())
};
